Assignee:    
Pull request:    

Description

Hi

I get the following exceptions when trying to import puppet classes from a new puppetmaster / foreman-proxy. The pem above is

actually the foreman pem that is in the exception. All other puppetmaster continue to work just fine. Full exception is:

Errno::EACCES

Permission denied - /var/lib/puppet/ssl/private_keys/name.pem

lib/proxy_api.rb:25:in `read'

lib/proxy_api.rb:25:in `initialize'

lib/proxy_api.rb:97:in `initialize'

app/models/puppet_class_importer.rb:9:in `new'

app/models/puppet_class_importer.rb:9:in `initialize'

lib/foreman/controller/environments.rb:8:in `new'

lib/foreman/controller/environments.rb:8:in `import_environments'

lib/foreman/thread_session.rb:31:in `clear_thread'

History

#1 - 07/15/2013 05:11 AM - Lukas Zapletal

- Priority changed from Urgent to Normal

- Target version deleted (1.2.1)

Hello,

this might be permissions problem. Can you do

1. ll /var/lib/puppet/ssl/private_keys/name.pem

2. ps axu | grep foreman

3. ps axu | grep smart

#2 - 07/17/2013 12:29 PM - Dominic Cleal

- Status changed from New to Need more information

Also check the 'foreman' user is part of the 'puppet' group and ls -ld /var/lib/puppet/ssl/private_keys.

#3 - 03/05/2014 10:29 PM - John Julien

The only time I received this error was when I was trying to add the foreman url as a smart proxy.  I went to the extent of making the file world

readable and still received the error.

So, my foreman server was running at https://foreman.example.com/ and I wanted to import my puppet classes for which a proxy is required, so I tried

to add https://foreman.example.com/ as a smart-proxy.

#4 - 02/29/2016 03:33 AM - Tomer Brisker

- Status changed from Need more information to Rejected
https://foreman.example.com/
https://foreman.example.com/


No action in over 2 years. Assuming this issue was solved - apparently some permissions needed tweaking. Closing.
